Announcement

Collapse
No announcement yet.

Deployment on ubuntu server 14.01

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • bilouchka
    replied
    Hello Mr siegmarzaske,
    i need your help about project deployment.
    i also deployed my project under ubuntu 14.1, and have the message : "unauthorized use" and i am blocked since weeks.
    i see that you have deployed your project successfully, can you answer me?
    - your scripcase envirronement is windows or linux, is there any problem when the production an deployment systems are different??
    - have you already the message "unauthorized use" ?
    - to deploy application by application what do you do with the _lib folder , you add the contain to the _lib on the server at each time?

    Best regards.

    Leave a comment:


  • RHS
    replied
    Originally posted by Ronyan Alves View Post
    Try with the url:
    That works but the real problem is, that SC in the directory put a index.html and a index.php. Depending on the configuration of the webserver either the index.html or index.php file which is loaded at first. If the index.html loaded first, a blank site occurs ...

    Leave a comment:


  • Ronyan Alves
    replied
    Hello,

    Try with the url:
    http://server/project/_lib/prod/lib/php/index.php

    Leave a comment:


  • gbravi
    replied
    In addition i suggest to change permissions and owner. I use this shell command.

    Code:
    find . -type f -exec chmod 644 {} +
    find . -type d -exec chmod 755 {} +
    chown -R www-data:www-data *

    Leave a comment:


  • jsbinca
    replied
    Ooops!
    Sorry I misread your first post.
    No, ZendGuardLoader is not needed on production server, only for development.
    Also the php version on production is more or less (depending on the functions used) irrelevant.

    Did you try the full path: server/project/_lib/prod/lib/php/nm_ini_manager2.php

    jsb

    Leave a comment:


  • siegmarzaske
    replied
    But is the zend guard needed also for the deployment ?
    I think only for Scriptcase development, or ??

    Leave a comment:


  • jsbinca
    replied
    It has to be PHP 5.4.

    See requirements here:
    http://www.scriptcase.net/v8_tutoria...2&conv=3&ln=en


    jsb

    Leave a comment:


  • siegmarzaske
    replied
    Does the Zend guard influences the run time enviroment ?
    We found that zend guard only works up to PHP 5.4 Ubuntu 14.01 server (LAMP) installs PHP 5.5 !

    Siegmar

    Leave a comment:


  • siegmarzaske
    started a topic Deployment on ubuntu server 14.01

    Deployment on ubuntu server 14.01

    I just deployed a scriptcase 8 application on an ubuntu 14.01 server (LAMP).
    When i want to start the configuration server/apps/_lib i only get a white page ?!?!
    The permissions are all recursively set to 777, so should not be a problem.

    What can it be ?
    For what should i take care ?

    best regards

    Siegmar
Working...
X